/*-------------------------------------------------------------------------*\
  <dllmain.C> -- Fanwor dynamically linked library

  Date      Programmer  Description
  09/25/00  Dennis      Created.
\*-------------------------------------------------------------------------*/

#include "troll.h"
#include "gem.h"

// This function must be extern "C" so that C++ doesn't rename the function.
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - *\
  TrollDllInit - Sends information about monsters and items to the main
    program.

    Parameters:
      game         (In)  Game being played

    Returns: 0 on success, any other value indicates failure
\* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
extern "C" int TrollDllInit(TrollGame *game)
{
 // add monster types
 // add items
 game->addItemType(0, TrollGem::createGem1);
 game->addItemType(1, TrollGem::createGem2);
 game->addItemType(2, TrollGem::createGem3);
 game->addItemType(3, TrollGem::createGem4);
 game->addItemType(4, TrollGem::createGem5);
 game->addItemType(5, TrollGem::createGem6);
 game->addItemType(6, TrollGem::createGem7);
 game->addItemType(7, TrollGem::createGem8);
 // add carried items
 return 0;
}

